Name:           rcsslogplayer
Version:        13.1.0
Release:        1%{?dist}
Summary:        RoboCup Soccer Simulator LogPlayer
Group:          Applications/System

# %{_libdir}/*, %{_includedir}/*, %{_bindir}/rcsslogplayer_classic,
# %{_bindir}/rcg2xml are under LGPLv2+, others are under GPLv2+
License:        LGPLv2+ and GPLv2+
URL:            http://sourceforge.net/projects/sserver/
Source0:        http://downloads.sourceforge.net/sserver/%{name}-%{version}.tar.gz
# Source 1 is created by me.
Source1:        %{name}.desktop

Requires:       rcssmonitor

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  automake libtool boost-devel qt-devel
BuildRequires:  desktop-file-utils


%description
The RoboCup Soccer Simulator LogPlayer (rcsslogpleyr) is a game log
replay tool for the RoboCup Soccer Simulator Server (rcssserver).

%package        devel
Summary:        Header files and libraries for %{name}
License:        LGPLv2+
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       boost-devel

%description    devel
This package contains the header files and libraries
for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q
sed -i.lib \
    -e 's|\$ac_boost_path/lib|\$libdir|' \
    -e 's|$ac_boost_path_tmp/lib|\$libdir|' \
    m4/ax_boost_base.m4
autoreconf --install -f
# Fix rpath
sed -i.rpath -e '/sys_lib_search_path_spec/s| /usr/lib| /lib64 /usr/lib64 /usr/lib|' \
    configure

%build
%configure --with-qt4-moc=%{_bindir}/moc-qt4
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -rf %{buildroot}/%{_libdir}/*.la

mkdir %{buildroot}/%{_datadir}/pixmaps/
cp -p icons/rcss.xpm %{buildroot}/%{_datadir}/pixmaps/rcsslogplayer.xpm

desktop-file-install --vendor="fedora"                 \
  --dir=%{buildroot}/%{_datadir}/applications %{SOURCE1}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README 
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Thu Dec 18 2008 Hedayat Vatankhah <hedayat@grad.com> 13.1.0-1
- Updated to the new released version (13.1.0)

* Thu Dec 4 2008 Hedayat Vatankhah <hedayat@grad.com> 13.0.1-1
- Updated to the new released version (13.0.1)

* Wed Nov 5 2008 Hedayat Vatankhah <hedayat@grad.com> 13.0.0-1
- Updated to the new released version (13.0.0)

* Sun Oct 26 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.2-1
- Updated to the latest released package

* Sat Sep 20 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.1-2
(Thanks to Mamoru Tasaka)
- Fixed -devel sub package license tag
- Fixed build failure caused by not finding moc-qt4 binary
- Fixed .desktop file category

* Mon Sep 15 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.1-1
- Initial version
